Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.core.ontology
Class OfRole

    java.lang.Object
      ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
          ch.uzh.ifi.attempto.acewiki.core.ontology.Role
              ch.uzh.ifi.attempto.acewiki.core.ontology.OfRole

All Implemented Interfaces:
  java.lang.Comparable<OntologyElement>

    public class OfRole

extends Role

This class stands for roles that are represented by of-constructs. Of-constructs consist of a noun plus the word "of". They have only one word form.

0: word form consisting of a noun plus the word "of".

Examples: "father of"; "part of".

Author:
  Tobias Kuhn

Constructor Summary
`OfRole()` Creates a new role that is represented by an of-construct.

Method Summary
`protected void` | `changeWords(java.lang.String... words)` Changes the word forms without updating the ontology indexes.
`java.lang.String` | `getInternalType()` Returns the word type as it is used internally.
`java.lang.String` | `getNoun()` Returns the noun of the of-construct.
`java.lang.String` | `getPrettyNoun()` Returns the pretty-printed noun of the of-construct.
`java.lang.String` | `getType()` Returns the word type as it is shown to the user.
`java.lang.String[]` | `getWords()` Returns the word forms.

Methods inherited from class ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
`add, compareTo, edit, getHeadword, getOntology, getPrettyWord, getSentences, getURI, getURISuffix, getWord, getWord, log, registerAt, remove, setWords, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OfRole

    public OfRole()

  Creates a new role that is represented by an of-construct.

Method Detail

### getWords

    public java.lang.String[] getWords()

  Description copied from class: `OntologyElement`
  Returns the word forms. The position in the array corresponds to the word form id.

  Specified by:
    `getWords` in class `OntologyElement`
  Returns:
    An array containing the word forms.

### changeWords

    protected void changeWords(java.lang.String... words)

  Description copied from class: `OntologyElement`
  Changes the word forms without updating the ontology indexes. The order reflects the word form ids.

  Specified by:
    `changeWords` in class `OntologyElement`
  Parameters:
    `words` - The word forms.

### getNoun

    public java.lang.String getNoun()

  Returns the noun of the of-construct.

  Returns:
    The noun.

### getPrettyNoun

    public java.lang.String getPrettyNoun()

  Returns the pretty-printed noun of the of-construct. Pretty-printing replaces underscores by blanks.

  Returns:
    The pretty-printed noun.

### getType

    public java.lang.String getType()

  Description copied from class: `OntologyElement`
  Returns the word type as it is shown to the user. Newer versions of AceWiki can savely change this value.

  Specified by:
    `getType` in class `OntologyElement`
  Returns:
    The word type.

### getInternalType

    public java.lang.String getInternalType()

  Description copied from class: `OntologyElement`
  Returns the word type as it is used internally. Changing this value in newer versions of AceWiki breaks backwards compatibility for loading ontologies.

  Specified by:
    `getInternalType` in class `OntologyElement`
  Returns:
    The internal word type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)